{ config, lib, impermanence, ... }:
{
  imports = [ impermanence.homeManagerModules.default ];

  home.persistence."/persist${config.home.homeDirectory}" = {
    enable = !config.targets.genericLinux.enable;
    directories = [
      "Keepers"
      "Projects"

      ".gnupg"
      ".local/state/nix/profiles"
      ".ssh"
    ] ++ (if config.home.desktop.enable then [
      "Documents"
      "Photos"
      "Videos"
      "Games"

      ".local/state/wireplumber"
    ] else []);
    allowOther = false;
  };
}
